Bug 1569312 - [geo-rep]: Geo-replication in FAULTY state - RHEL 6
Summary: [geo-rep]: Geo-replication in FAULTY state - RHEL 6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Kotresh HR
QA Contact: Rochelle
URL:
Whiteboard:
Depends On:
Blocks: 1503137 1589782 1611111
TreeView+ depends on / blocked
 
Reported: 2018-04-19 03:33 UTC by Rochelle
Modified: 2018-09-14 05:29 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.12.2-13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1589782 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:52:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2608 0 None None None 2018-09-04 06:53:16 UTC

Description Rochelle 2018-04-19 03:33:05 UTC
Description of problem:
=======================
Geo-replication session is in FAULTY state in RHEL6 as shown:

[root@dhcp43-133 ~]# gluster volume geo-replication master 10.70.43.202::slave status
 
MASTER NODE     MASTER VOL    MASTER BRICK      SLAVE USER    SLAVE                  SLAVE NODE    STATUS    CRAWL STATUS    LAST_SYNCED          
---------------------------------------------------------------------------------------------------------------------------------------
10.70.43.133    master        /rhs/brick1/b1    root          10.70.43.202::slave    N/A           Faulty    N/A             N/A                  
10.70.43.133    master        /rhs/brick2/b4    root          10.70.43.202::slave    N/A           Faulty    N/A             N/A                  
10.70.43.163    master        /rhs/brick1/b2    root          10.70.43.202::slave    N/A           Faulty    N/A             N/A                  
10.70.43.163    master        /rhs/brick2/b5    root          10.70.43.202::slave    N/A           Faulty    N/A             N/A                  
10.70.41.234    master        /rhs/brick1/b3    root          10.70.43.202::slave    N/A           Faulty    N/A             N/A                  
10.70.41.234    master        /rhs/brick2/b6    root          10.70.43.202::slave    N/A           Faulty    N/A             N/A  

Version-Release number of selected component (if applicable):
=============================================================
Seen in glusterfs-3.8.4-54.4.el6rhs.x86_64

How reproducible:
=================
Always


Steps to Reproduce:
====================
1.Create master and slave volumes (3x3)
2.Create and start a geo-rep session


Actual results:
===============
Session is in FAULTY state

Expected results:
=================
The session should not be in faulty state

Comment 6 Kotresh HR 2018-06-11 11:54:48 UTC
Upstream Patch: https://review.gluster.org/#/c/20221/1

Comment 12 errata-xmlrpc 2018-09-04 06:52:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2608


Note You need to log in before you can comment on or make changes to this bug.